Subject: Re: [External] : bug#46884: [PATCH] 27.1; Cannot run find-dired with -maxdepth

From: Allen Li <[email-masked]>
Date: Fri, 12 Mar 2021 16:42:18 -0800

Drew Adams <[email-masked]> writes:

>> Attached patch, does this approach look good?
>
> What did you find wrong or missing with the
> code I cited?  It accepts DEPTH-LIMITS and
> EXCLUDED-PATHS as optional args.

Personally, I find it weirdly specialized and incomplete.  There are
many global options beside -mindepth and -maxdepth; your version
supports none of those options.  There is also no need to support
EXCLUDED-PATHS separately; that can already be accomplished with the
current find-dired API.  I prefer a more flexible, general API, which is
the current rgrep approach proposed by Juri and Phil on another bug [1].

There's also another bug open which can be closed if we adopt the rgrep
approach [2].

[1]: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=27456

[2]: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=32668